Subject: DID=last or...

From: Fred Jensen <[email-masked]>
Date: Thu, 20 Dec 2001 12:05:31 -0500

We've just lost a bunch of files on a server running netatalk-1.5pre5
which was installed from an rpm. I have now upgraded the server to
RedHat 7.1 (clean install with ext3 filesystem) and installed netatalk-1.5rc2.

System: RedHat 7.1 (Linux version 2.4.7-10) with ext3 filesystem.
CPU: Intel Pentium III (Coppermine)
Netatalk: netatalk-1.5rc2
./configure --prefix=/usr/local/netatalk --with-did=last --with-shadow
--with-pam=/etc/pam.d  --with-flock-locks --enable-redhat --with-uams-path=/etc/atalk/uams

>From what I've read, using --with-did=last and --with-flock-locks should
prevent the disappearing files problem and various Quark issues. But now
I see that there are more options for --with-did including mtab and
cnid. Should I be using mtab instead? or cnid? (have to enable db3 also
then?). If I use mtab, should I still use --with-flock-locks?

This is a production server so I would prefer to stay with what works
rather than experiment. There are only system 9.x clients, no OSX.

Fred